This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 872989

Summary: gnome-screenshot does not work in fallback mode
Product: [Fedora] Fedora Reporter: Dmytro Taranovsky <dmytro>
Component: cairoAssignee: Benjamin Otte <otte>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: awilliam, ccecchi, kalevlember, mclasen, otte
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: RejectedNTH
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-20 10:29:10 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dmytro Taranovsky 2012-11-04 14:16:00 EST
On Fedora 18 prerelease, in Gnome 3 fallback mode, start gnome-screenshot either directly or by pressing PrintScreen key.  The resulting screenshot is just black (or sometimes shows black instead of windows but retains desktop background).
Other screenshot tools, such as ksnapshot, continue to be working.
Comment 1 Cosimo Cecchi 2012-11-05 10:16:31 EST
This is a cairo bug that got fixed in cairo 1.12.8. See http://cgit.freedesktop.org/cairo/commit/?id=724c6dfa9521e887682029add879c2fcdd518b14
Comment 2 Fedora Update System 2012-11-05 12:03:46 EST
cairo-1.12.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cairo-1.12.8-1.fc18
Comment 3 Dmytro Taranovsky 2012-11-05 14:38:05 EST
I tested that the update fixes the bug.  Thank you.
Comment 4 Fedora Update System 2012-11-05 17:43:53 EST
Package cairo-1.12.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cairo-1.12.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17621/cairo-1.12.8-1.fc18
then log in and leave karma (feedback).
Comment 5 Kalev Lember 2012-11-06 14:58:19 EST
Proposing as a NTH for F18 Beta.

Screenshot capability is an important functionality for live media: reviewers will presumably want to post screenshots of the Beta release without having to install it to a hard drive; and testers need to take screenshots to report certain kind of bugs.

Moreover, cairo 1.12.8 fixes a clipping bug that causes Shotwell (installed by default on the Desktop media) to misrender images. https://bugs.freedesktop.org/show_bug.cgi?id=56547
Comment 6 Adam Williamson 2012-11-07 13:03:13 EST
Discussed 2012-11-07 NTH review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-11-07/f18beta-blocker-review-7.2012-11-07-17.03.log.txt . While we acknowledge the arguments in comment #5, we note the sensitivity of Cairo as a component, and that the only case where fallback mode actually happens any more is if you have an adapter that's blacklisted from running Shell. other cases now use llvmpipe rendering of Shell, not the fallback mode. Given this, we don't think enough configurations will be affected to justify taking a change to cairo this late. Rejected as NTH.
Comment 7 Fedora Update System 2012-12-20 10:29:16 EST
cairo-1.12.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.